import React from 'react';
import { CheckboxOptionType, ConfigConsumerProps, FormItemStatusContextProps } from './Checkbox.types';
export declare const ConfigContext: React.Context<ConfigConsumerProps>;
export interface CheckboxGroupContext {
    name?: string;
    toggleOption?: (option: CheckboxOptionType) => void;
    value?: any;
    disabled?: boolean;
    registerValue: (val: string) => void;
    cancelValue: (val: string) => void;
}
export declare const GroupContext: React.Context<CheckboxGroupContext>;
export declare const FormItemInputContext: React.Context<FormItemStatusContextProps>;
