"use strict";

var _WeakMap = require("@babel/runtime-corejs3/core-js-stable/weak-map");
var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _Object$getOwnPropertyDescriptor = require("@babel/runtime-corejs3/core-js-stable/object/get-own-property-descriptor");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _assign = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/object/assign"));
var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var Styled = _interopRequireWildcard(require("./Tabs.styled"));
function _getRequireWildcardCache(e) { if ("function" != typeof _WeakMap) return null; var r = new _WeakMap(), t = new _WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = _Object$defineProperty && _Object$getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? _Object$getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? _Object$defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Tabs = _ref => {
  let {
    tabs,
    size,
    currentTabName,
    onClickTab
  } = _ref;
  return (0, _jsxRuntime.jsx)(Styled.Wrap, (0, _assign.default)({
    "$size": size
  }, {
    children: (0, _map.default)(tabs).call(tabs, tab => {
      const selected = tab.name === currentTabName;
      return (0, _jsxRuntime.jsx)(Styled.Tab, (0, _assign.default)({
        "$size": size,
        "$selected": selected,
        onClick: () => onClickTab(tab)
      }, {
        children: tab.name
      }), tab.name);
    })
  }));
};
var _default = exports.default = Tabs;