import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from 'react';
import * as Styled from './Thumbnail.styled';
const Thumbnail = /*#__PURE__*/React.forwardRef((_a, ref) => {
  var {
      width = '160px',
      category = '1by1',
      size = 'xxlarge',
      cover,
      hasSrc = false
    } = _a,
    rest = __rest(_a, ["width", "category", "size", "cover", "hasSrc"]);
  if (width[width.length - 1] !== '%' && width.substring(width.length - 2) !== 'px') {
    throw new Error('invalid property: width');
  }
  return _jsx(Styled.DSThumbnailWrapper, _Object$assign({
    "$category": category,
    "$width": width,
    "$size": size
  }, rest, {
    ref: ref
  }, {
    children: _jsx(Styled.RatioBox, _Object$assign({
      "$category": category,
      "$hasSrc": hasSrc
    }, {
      children: cover
    }))
  }));
});
export default Thumbnail;