import { Component } from 'react';
import { ToggleProps } from './Toggle.types';
export default class Toggle extends Component<ToggleProps, {
    checked: boolean;
    hasFocus: boolean;
}> {
    previouslyChecked: boolean;
    input: HTMLInputElement;
    moved: boolean;
    startX: number;
    endX: number;
    activated: boolean;
    static displayName: string;
    static defaultProps: any;
    constructor(props: any);
    componentDidUpdate(prevProps: any): void;
    handleClick(event: any): void;
    handleTouchStart(event: any): void;
    handleTouchMove(event: any): void;
    handleTouchEnd(event: any): void;
    handleFocus(event: any): void;
    handleBlur(event: any): void;
    getIcon(type: any): any;
    render(): import("@emotion/react/jsx-runtime").JSX.Element;
}
