"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.WIDE_PC_GUTTER = exports.WIDE_PC_GLOBAL_PADDING = exports.WIDE_PC_COLUMNS = exports.TABLET_MAX_LAYOUT_SYSTEM_WIDTH = exports.TABLET_MAX_BROWSER_WIDTH = exports.TABLET_GUTTER = exports.TABLET_GLOBAL_PADDING = exports.TABLET_COLUMNS = exports.PC_WIDTH = exports.PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.PC_MAX_BROWSER_WIDTH = exports.PC_GUTTER = exports.PC_GLOBAL_PADDING = exports.PC_COLUMNS = exports.MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = exports.MOBILE_MAX_BROWSER_WIDTH = exports.MOBILE_GUTTER = exports.MOBILE_GLOBAL_PADDING = exports.MOBILE_COLUMNS = void 0;
// - BREAK POINT
// PC:             ~ 1024px
// (BIG PC:        ~ 1079px)
// (PC:     1709px ~ 1024px)
// TABLET:  1023px ~ 768px
// MOBILE:  767px ~
const PC_MAX_BROWSER_WIDTH = exports.PC_MAX_BROWSER_WIDTH = 1709;
const TABLET_MAX_BROWSER_WIDTH = exports.TABLET_MAX_BROWSER_WIDTH = 1023;
const MOBILE_MAX_BROWSER_WIDTH = exports.MOBILE_MAX_BROWSER_WIDTH = 767;
const PC_WIDTH = exports.PC_WIDTH = `${PC_MAX_BROWSER_WIDTH}px`;
const WIDE_PC_GLOBAL_PADDING = exports.WIDE_PC_GLOBAL_PADDING = 32;
const PC_GLOBAL_PADDING = exports.PC_GLOBAL_PADDING = 32;
const TABLET_GLOBAL_PADDING = exports.TABLET_GLOBAL_PADDING = 32;
const MOBILE_GLOBAL_PADDING = exports.MOBILE_GLOBAL_PADDING = 20;
const WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.WIDE_PC_MAX_LAYOUT_SYSTEM_WIDTH = 1555;
const PC_MAX_LAYOUT_SYSTEM_WIDTH = exports.PC_MAX_LAYOUT_SYSTEM_WIDTH = 1240;
const TABLET_MAX_LAYOUT_SYSTEM_WIDTH = exports.TABLET_MAX_LAYOUT_SYSTEM_WIDTH = TABLET_MAX_BROWSER_WIDTH - TABLET_GLOBAL_PADDING * 2;
const MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = exports.MOBILE_MAX_LAYOUT_SYSTEM_WIDTH = MOBILE_MAX_BROWSER_WIDTH - MOBILE_GLOBAL_PADDING * 2;
const WIDE_PC_COLUMNS = exports.WIDE_PC_COLUMNS = 15;
const PC_COLUMNS = exports.PC_COLUMNS = 12;
const TABLET_COLUMNS = exports.TABLET_COLUMNS = 8;
const MOBILE_COLUMNS = exports.MOBILE_COLUMNS = 6;
const WIDE_PC_GUTTER = exports.WIDE_PC_GUTTER = 20;
const PC_GUTTER = exports.PC_GUTTER = 20;
const TABLET_GUTTER = exports.TABLET_GUTTER = 16;
const MOBILE_GUTTER = exports.MOBILE_GUTTER = 16;
// MAX COLUMN WIDTH
// WIDE_PC: 85
// PC:      85
// TABLET:  105.875
// MOBILE:  107.8333...
// const PC_MAX_COLUMN_WIDTH = (PC_MAX_LAYOUT_SYSTEM_WIDTH - (PC_GUTTER * (PC_COLUMNS - 1))) / PC_COLUMNS;
// const TABLET_MAX_COLUMN_WIDTH = (TABLET_MAX_LAYOUT_SYSTEM_WIDTH - (TABLET_GUTTER * (TABLET_COLUMNS - 1))) / TABLET_COLUMNS;
// const MOBILE_MAX_COLUMN_WIDTH = (MOBILE_MAX_LAYOUT_SYSTEM_WIDTH - (MOBILE_GUTTER * (MOBILE_COLUMNS - 1))) / MOBILE_COLUMNS;