"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadingIcon = exports.CrossIcon = exports.CheckIcon = exports.ArrowIcon = void 0;
var _assign = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/object/assign"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _MultiSelect = require("./MultiSelect.styled");
const LoadingIcon = _ref => {
  let {
    size = 24
  } = _ref;
  return (0, _jsxRuntime.jsx)("span", (0, _assign.default)({
    style: {
      width: size,
      marginRight: '0.2rem'
    }
  }, {
    children: (0, _jsxRuntime.jsx)(_MultiSelect.SVG, (0, _assign.default)({
      width: size,
      height: size,
      viewBox: "0 0 50 50",
      style: {
        display: 'inline',
        verticalAlign: 'middle'
      }
    }, {
      children: (0, _jsxRuntime.jsx)("circle", {
        cx: "25",
        cy: "25",
        r: "20",
        fill: "none"
      })
    }))
  }));
};
exports.LoadingIcon = LoadingIcon;
const ArrowIcon = () => (0, _jsxRuntime.jsx)("svg", (0, _assign.default)({
  width: "16",
  height: "16",
  viewBox: "0 0 16 16",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, {
  children: (0, _jsxRuntime.jsx)("path", {
    d: "M13 11L3 11L8 4L13 11Z",
    fill: "#202020"
  })
}));
exports.ArrowIcon = ArrowIcon;
const CrossIcon = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  width: "24",
  height: "24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "2"
}, {
  children: [(0, _jsxRuntime.jsx)("line", {
    x1: "18",
    y1: "6",
    x2: "6",
    y2: "18"
  }), (0, _jsxRuntime.jsx)("line", {
    x1: "6",
    y1: "6",
    x2: "18",
    y2: "18"
  })]
}));
exports.CrossIcon = CrossIcon;
const CheckIcon = _ref2 => {
  let {
    selected = false
  } = _ref2;
  return (0, _jsxRuntime.jsx)("svg", (0, _assign.default)({
    width: "20",
    height: "20",
    viewBox: "0 0 20 20",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, {
    children: selected ? (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [(0, _jsxRuntime.jsx)("rect", {
        x: "2",
        y: "2",
        width: "16",
        height: "16",
        rx: "2",
        fill: "#202020"
      }), (0, _jsxRuntime.jsx)("path", {
        d: "M5 8.91041L9.05329 13L15 7.00002",
        stroke: "#FDFDFD",
        strokeWidth: "1.2"
      })]
    }) : (0, _jsxRuntime.jsx)("rect", {
      x: "2",
      y: "2",
      width: "16",
      height: "16",
      rx: "2",
      stroke: "#CDCDCD"
    })
  }));
};
exports.CheckIcon = CheckIcon;