"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _filter = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/filter"));
var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));
var _find = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/find"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
var _MultiSelect = require("../MultiSelect.hooks");
var _selectItem = _interopRequireDefault(require("../selectItem"));
const SelectList = _ref => {
  let {
    options,
    onClick,
    skipIndex,
    isCheckboxShowing,
    closeOnChangedValue
  } = _ref;
  const {
    disabled,
    value,
    onChange,
    ItemRenderer
  } = (0, _MultiSelect.useMultiSelect)();
  const handleSelectionChanged = (option, checked) => {
    if (disabled) return;
    if (!isCheckboxShowing && closeOnChangedValue) {
      return onChange([option]);
    }
    onChange(checked ? [...value, option] : (0, _filter.default)(value).call(value, o => o.value !== option.value));
  };
  return (0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: (0, _map.default)(options).call(options, (o, i) => {
      const tabIndex = i + skipIndex;
      return (0, _jsxRuntime.jsx)("li", {
        children: (0, _jsxRuntime.jsx)(_selectItem.default, {
          tabIndex: tabIndex,
          option: o,
          onSelectionChanged: c => handleSelectionChanged(o, c),
          checked: !!(0, _find.default)(value).call(value, s => s.value === o.value),
          onClick: e => onClick(e, tabIndex),
          itemRenderer: ItemRenderer,
          disabled: o.disabled || disabled,
          isCheckboxShowing: isCheckboxShowing
        })
      }, (o === null || o === void 0 ? void 0 : o.key) || i);
    })
  });
};
var _default = exports.default = SelectList;