import React from 'react';
import { RadioGroupProps } from './Radio.types';
type Updater<T> = T | ((prevValue: T) => T);
export type SetState<T> = (nextValue: Updater<T>, 
/**
 * Will not update state when destroyed.
 * Developer should make sure this is safe to ignore.
 */
ignoreDestroy?: boolean) => void;
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<RadioGroupProps & React.RefAttributes<HTMLDivElement>>>;
export default _default;
