import Color from '../Color';
const Theme = {
  Common: {
    surface: Color.naturalGray0,
    disabled: Color.naturalGray4,
    placeholder: Color.naturalGray5,
    text: Color.naturalGray7,
    subtitle: Color.naturalGray8,
    title: Color.naturalGray9,
    background: Color.blueGray0,
    primary: Color.keyColor6,
    alert: Color.coral6,
    error: Color.coral6
  },
  HelperBgColor: {
    light: Color.keyColor6,
    dark: Color.keyColor4
  },
  HelperTextColor: {
    light: Color.keyColor2,
    dark: Color.keyColor5,
    error: Color.coral6,
    gray: Color.naturalGray7
  }
};
export default Theme;