import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
import _mapInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/map";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as Styled from './Tabs.styled';
const Tabs = _ref => {
  let {
    tabs,
    size,
    currentTabName,
    onClickTab
  } = _ref;
  return _jsx(Styled.Wrap, _Object$assign({
    "$size": size
  }, {
    children: _mapInstanceProperty(tabs).call(tabs, tab => {
      const selected = tab.name === currentTabName;
      return _jsx(Styled.Tab, _Object$assign({
        "$size": size,
        "$selected": selected,
        onClick: () => onClickTab(tab)
      }, {
        children: tab.name
      }), tab.name);
    })
  }));
};
export default Tabs;